package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.MwrCredAcciMapper;
import com.goldenwater.slaj.acci.domain.MwrCredAcci;
import com.goldenwater.slaj.acci.service.IMwrCredAcciService;

/**
 * 水利信用事故 服务层实现
 */
@Service
public class MwrCredAcciServiceImpl implements IMwrCredAcciService {

    @Autowired
    private MwrCredAcciMapper mwrCredAcciMapper;

    /**
     * 查询水利信用事故信息
     * @param guid 查询条件
     * @return 水利信用事故信息
     */
    @Override
    public MwrCredAcci selectMwrCredAcciByGuid(String guid) {
        return mwrCredAcciMapper.selectMwrCredAcciByGuid(guid);
    }

    /**
     * 查询水利信用事故列表
     * @param mwrCredAcci 水利信用事故查询条件
     * @return 水利信用事故集合
     */
    @Override
    public List<MwrCredAcci> selectMwrCredAcciList(MwrCredAcci mwrCredAcci) {
        return mwrCredAcciMapper.selectMwrCredAcciList(mwrCredAcci);
    }

    /**
     * 新增水利信用事故
     * @param mwrCredAcci 水利信用事故信息
     * @return 影响行数
     */
    @Override
    public int insertMwrCredAcci(MwrCredAcci mwrCredAcci) {
        return mwrCredAcciMapper.insertMwrCredAcci(mwrCredAcci);
    }

    /**
     * 修改水利信用事故
     * @param mwrCredAcci 水利信用事故信息
     * @return 影响行数
     */
    @Override
    public int updateMwrCredAcci(MwrCredAcci mwrCredAcci) {
        return mwrCredAcciMapper.updateMwrCredAcci(mwrCredAcci);
    }

    /**
     * 删除水利信用事故
     * @param guid 水利信用事故主键
     * @return 影响行数
     */
    @Override
    public int deleteMwrCredAcciByGuid(String guid) {
        return mwrCredAcciMapper.deleteMwrCredAcciByGuid(guid);
    }

    /**
     * 批量删除水利信用事故
     * @param guids 水利信用事故主键数组
     * @return 影响行数
     */
    @Override
    public int deleteMwrCredAcciByGuids(String[] guids) {
        return mwrCredAcciMapper.deleteMwrCredAcciByGuids(guids);
    }
}
